libvisio::VSDNumericField Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDNumericField Class Reference

`#include <VSDFieldList.h>`

Inheritance diagram for libvisio::VSDNumericField:

## Public Member Functions
| VSDNumericField (unsigned id, unsigned level, unsigned short format, double number, int formatStringId)
| ~VSDNumericField ()
void | handle (VSDCollector *collector) const
VSDFieldListElement * | clone ()
librevenge::RVNGString | getString (const std::map< unsigned, librevenge::RVNGString > &)
void | setNameId (int)
void | setFormat (unsigned short format)
void | setValue (double number)
Public Member Functions inherited from libvisio::VSDFieldListElement
| VSDFieldListElement ()
virtual | ~VSDFieldListElement ()

## Private Member Functions
librevenge::RVNGString | datetimeToString (const char *format, double datetime)

## Private Attributes
unsigned | m_id
unsigned | m_level
unsigned short | m_format
double | m_number
int | m_formatStringId

## Constructor & Destructor Documentation

## ◆ VSDNumericField()

libvisio::VSDNumericField::VSDNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | double | number,
|  | int | formatStringId
| ) |  |
| inline

## ◆ ~VSDNumericField()

libvisio::VSDNumericField::~VSDNumericField | ( |  | ) |
| inline

## Member Function Documentation

## ◆ clone()

libvisio::VSDFieldListElement * libvisio::VSDNumericField::clone | ( |  | ) |
| virtual

Implements libvisio::VSDFieldListElement.

## ◆ datetimeToString()

librevenge::RVNGString libvisio::VSDNumericField::datetimeToString | ( | const char * | format,
|  | double | datetime
| ) |  |
| private

## ◆ getString()

librevenge::RVNGString libvisio::VSDNumericField::getString | ( | const std::map< unsigned, librevenge::RVNGString > & |  | ) |
| virtual

Implements libvisio::VSDFieldListElement.

Referenced by libvisio::VSDContentCollector::collectNumericField().

## ◆ handle()

void libvisio::VSDNumericField::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDFieldListElement.

## ◆ setFormat()

void libvisio::VSDNumericField::setFormat | ( | unsigned short | format | ) |
| virtual

Implements libvisio::VSDFieldListElement.

## ◆ setNameId()

void libvisio::VSDNumericField::setNameId | ( | int |  | ) |
| inlinevirtual

Implements libvisio::VSDFieldListElement.

## ◆ setValue()

void libvisio::VSDNumericField::setValue | ( | double | number | ) |
| virtual

Implements libvisio::VSDFieldListElement.

## Member Data Documentation

## ◆ m_format

unsigned short libvisio::VSDNumericField::m_format
| private

## ◆ m_formatStringId

int libvisio::VSDNumericField::m_formatStringId
| private

## ◆ m_id

unsigned libvisio::VSDNumericField::m_id
| private

## ◆ m_level

unsigned libvisio::VSDNumericField::m_level
| private

## ◆ m_number

double libvisio::VSDNumericField::m_number
| private

The documentation for this class was generated from the following files:

- VSDFieldList.h
- VSDFieldList.cpp